Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IAssociationClass

    com.change_vision.jude.api.inf.model.IAssociationClass

All Superinterfaces:
  IAssociation, IClass, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IAssociation, IClass, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IAssociationClass

extends IAssociation, IClass

Interface for Association Class.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary

Methods inherited from class com.change_vision.jude.api.inf.model.IAssociation
`getAttributes, getMemberEnds`

Methods inherited from class com.change_vision.jude.api.inf.model.IClass
`getAttributes, getGeneralizations, getNestedClasses, getOperations, getPorts, getSpecializations, getTemplateBindings, getTemplateParameters, isAbstract, isActive, isLeaf, setAbstract, setActive, setLeaf`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD